Skip to main content
PUT
Update Offer Group

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

offerGroupId
integer
required

The offer group ID.

Body

application/json
name
string
required

Name of the offer group.

offer_group_status
enum<string>
required

Status of the offer group.

Available options:
active,
paused,
deleted
network_advertiser_id
integer
required

ID of the advertiser for the offer group.

network_offer_ids
integer[]
required

IDs of the offers to include in the offer group. The offers must belong to the specified advertiser.

currency_id
string
required

Currency for the offer group. See the List Currencies endpoint for available values.

labels
string[]

Labels to assign to this offer group.

internal_notes
string

Internal notes about the offer group.

is_caps_enabled
boolean

Whether caps are enabled. When false, all cap values are ignored.

is_soft_cap
boolean

When true, caps are soft (tracking continues but a notification is sent). When false, caps are hard (tracking stops when the cap is reached).

daily_conversion_cap
integer

Limit to the number of unique conversions in one day.

weekly_conversion_cap
integer

Limit to the number of unique conversions in one week (Monday midnight to Sunday 23h59:59).

monthly_conversion_cap
integer

Limit to the number of unique conversions in one month.

global_conversion_cap
integer

Limit to the total number of unique conversions at the offer level.

daily_payout_cap
number

Limit to the affiliate's payout for one day.

weekly_payout_cap
number

Limit to the affiliate's payout for a week (Monday midnight to Sunday 23h59:59).

monthly_payout_cap
number

Limit to the affiliate's payout for one month.

global_payout_cap
number

Limit to the affiliate's total payout at the offer level.

daily_revenue_cap
number

Limit to the network's revenue for one day.

weekly_revenue_cap
number

Limit to the network's revenue for a week (Monday midnight to Sunday 23h59:59).

monthly_revenue_cap
number

Limit to the network's revenue for one month.

global_revenue_cap
number

Limit to the network's total revenue at the offer level.

daily_click_cap
integer

Limit to the number of unique clicks in one day.

weekly_click_cap
integer

Limit to the number of unique clicks in a week (Monday midnight to Sunday 23h59:59).

monthly_click_cap
integer

Limit to the number of unique clicks in one month.

global_click_cap
integer

Limit to the total number of unique clicks at the offer level.

Response

200 - application/json
network_offer_group_id
integer

Unique offer group ID.

network_id
integer

Network ID.

network_advertiser_id
integer

ID of the advertiser for the offer group.

name
string

Name of the offer group.

internal_notes
string

Internal notes about the offer group.

offer_group_status
enum<string>

Status of the offer group. Can be one of the following values: active, paused or deleted.

Available options:
active,
paused,
deleted
is_caps_enabled
boolean

Whether caps are enabled. When false, voids all types of caps and custom caps.

daily_conversion_cap
integer

Limit to the number of unique conversions in one day.

weekly_conversion_cap
integer

Limit to the number of unique conversions in one week (Monday midnight to Sunday 23h59:59).

monthly_conversion_cap
integer

Limit to the number of unique conversions in one month.

global_conversion_cap
integer

Limit to the total number of unique conversions at the offer level.

daily_payout_cap
number

Limit to the affiliate's payout for one day.

weekly_payout_cap
number

Limit to the affiliate's payout for a week (Monday midnight to Sunday 23h59:59).

monthly_payout_cap
number

Limit to the affiliate's payout for one month.

global_payout_cap
number

Limit to the affiliate's total payout at the offer level.

daily_revenue_cap
number

Limit to the network's revenue for one day.

weekly_revenue_cap
number

Limit to the network's revenue for a week (Monday midnight to Sunday 23h59:59).

monthly_revenue_cap
number

Limit to the network's revenue for one month.

global_revenue_cap
number

Limit to the network's total revenue at the offer level.

daily_click_cap
integer

Limit to the number of unique clicks in one day.

weekly_click_cap
integer

Limit to the number of unique clicks in a week (Monday midnight to Sunday 23h59:59).

monthly_click_cap
integer

Limit to the number of unique clicks in one month.

global_click_cap
integer

Limit to the total number of unique clicks at the offer level.

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object
is_soft_cap
boolean

Whether soft caps are enabled for this offer group.